# ResourceFilterAppliesTo

enum ResourceFilterAppliesTo

Specifies the type of resource that the Eclipse ResourceFilter applies to.

#### Since

3.5

## Entries

FILES
Link copied to clipboard
FILES
FOLDERS
Link copied to clipboard
FOLDERS
FILES_AND_FOLDERS
Link copied to clipboard
FILES_AND_FOLDERS

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): ResourceFilterAppliesTo

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<ResourceFilterAppliesTo>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.